<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css" integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4"
        crossorigin="anonymous">
    <title>Bootstrap</title>
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js" integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js" integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<style>
    .table {
        margin-top: 20px;
    }
</style>
<script>
    $(function () {
        $.get('https://swapi.co/api/people/').then(function (res) {
            let StrColumn = ['Name', 'Gender', 'Details'];
            let html_data = "<tr>";
            for (let k in StrColumn) {
                html_data += "<th align='center'>" + StrColumn[k] + "</th>";
            }
            html_data += "</tr>";

            for (let i in res.results) {
                console.log(res.results[i]);
                html_data += "<tr id='" + res.results[i].url + "'>";
                for (let j in res.results[i]) {
                    if (j == "name" || j == "gender") {
                        console.log(j);
                        console.log(res.results[i][j]);
                        html_data += "<td>" + res.results[i][j] + "</td>";
                    }
                }
                html_data +=
                    "<td align='center'><button type='button' class='btn btn-sm btnView' onclick='MasterDetails()'>View</button></td>";
                html_data += "</tr>";
            }
            $(".table").append(html_data);

            function MasterDetails() {
                console.log("Details");
                $('#DetailModal').modal('show');
                let id = $('.PeopleTable').attr('id');
            }
        });
    });
</script>

<body>
    <div class="container">
        <div class="row">
            <div class="col-sm-8">
                <table class="table table-sm table-dark table-bordered table-hover"></table>
            </div>
        </div>
    </div>

    <div class="modal" tabindex="-1" role="dialog" id="DetailModal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Modal title</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Modal body text goes here.</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="button" class="btn btn-primary">Save changes</button>
                </div>
            </div>
        </div>
    </div>
</body>

</html>